Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.wm
Class WMTableUIDataSource

`java.lang.Object
oracle.jbo.client.wm.TwoDDataSourceImpl
oracle.jbo.client.wm.WMTableUIDataSource`

All Implemented Interfaces:
  TableUIDataSource, TwoDDataSource

public class WMTableUIDataSource
extends oracle.jbo.client.wm.TwoDDataSourceImpl
implements TableUIDataSource

Field Summary
`protected int` | `indexOfFirstVisibleRow`

Fields inherited from interface oracle.jbo.client.wm.TableUIDataSource
`ALIGN_AUTOMATIC, ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT, LAYOUT_HORIZONTAL, LAYOUT_VERTICAL, TYPE_BUTTON, TYPE_FORMVALUE, TYPE_IMAGE, TYPE_IMAGELINK, TYPE_LINK, TYPE_MULTIVALUE, TYPE_NUMBER_LINK`

Fields inherited from interface oracle.jbo.client.wm.TwoDDataSource
`NOT_SORTABLE, NOT_SORTED, SORTED_ASCENDING, SORTED_DESCENDING, TYPE_BOOLEAN, TYPE_DATE, TYPE_ENUM, TYPE_NUMBER, TYPE_TEXT`

Constructor Summary
`WMTableUIDataSource()`

Method Summary
`void` | `addRows(int howMany)` Adds new rows, with default cell values.
`int` | `getColumnAlignment(int columnIndex)` Method declaration
`int` | `getColumnCount()`
`java.lang.String[]` | `getColumnNames()`
`int` | `getColumnSortingStatus(int columnIndex)`
`int` | `getColumnType(int columnIndex)`
`java.lang.Object` | `getDataAt(int rowIndex, int columnIndex)`
`java.lang.Object` | `getDataAt(int rowIndex, int columnIndex, int itemIndex)` Method declaration
`java.text.DateFormat` | `getDateFormat(int columnIndex)` Only called for TYPE_DATE columns.
`java.lang.String[]` | `getEnumValues(int columnIndex)` Only called for TYPE_ENUM columns.
`java.lang.String` | `getFormValueName(int columnIndex)` Method declaration
`java.lang.String` | `getImageAt(int rowIndex, int columnIndex)` Method declaration
`java.lang.String` | `getImageAt(int rowIndex, int columnIndex, int itemIndex)` Method declaration
`java.lang.String` | `getImageHeightAt(int rowIndex, int columnIndex)` Method declaration
`java.lang.String` | `getImageHeightAt(int rowIndex, int columnIndex, int itemIndex)` Method declaration
`java.lang.String` | `getImageWidthAt(int rowIndex, int columnIndex)` Method declaration
`java.lang.String` | `getImageWidthAt(int rowIndex, int columnIndex, int itemIndex)` Method declaration
`int` | `getIndexOfFirstVisibleRow()` Method declaration
`int` | `getItemCount(int columnIndex)` Method declaration
`int` | `getItemLayout(int columnIndex)` Method declaration
`int` | `getItemSpacing(int columnIndex)` Method declaration
`int` | `getItemType(int columnIndex, int itemIndex)` Method declaration
`int` | `getMaximumLength(int columnIndex)` Only called for TYPE_TEXT columns.
`int` | `getRowCount()`
`java.lang.String` | `getUrlAt(int rowIndex, int columnIndex)` Only called for TYPE_LINK columns.
`java.lang.String` | `getUrlAt(int rowIndex, int columnIndex, int itemIndex)` Method declaration
`void` | `insertRowAt(int index)`
`boolean` | `isColumnHidden(int columnIndex)` Method declaration
`boolean` | `isReadOnly(int rowIndex, int columnIndex)`
`void` | `moveRow(int oldIndex, int newIndex)`
`void` | `removeAllRows()`
`void` | `removeRowAt(int index)`
`void` | `setColumnCount(int cc)`
`void` | `setColumnNames(java.lang.String[] cn)`
`void` | `setColumnSortingStatus(int[] cs)`
`void` | `setColumnType(int[] type)`
`void` | `setData(java.util.Vector obj)`
`void` | `setDataAt(int rowIndex, int columnIndex, java.lang.Object obj)`
`void` | `setDataIndex(int di)`
`void` | `setIndexOfFirstVisibleRow(int index)` Method declaration
`void` | `setLinkValue(int columnIndex, java.lang.String linkValue)`
`void` | `setLinkValueIndex(int index)`
`void` | `setLinkValueIndex(int pid, int index)`
`void` | `setLinkValueName(int pid, java.lang.String pName)`
`void` | `setRowCount(int rc)`
`void` | `sort(int columnIndex, boolean ascending)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.client.wm.TwoDDataSource
`addRows, getColumnCount, getColumnNames, getColumnSortingStatus, getDataAt, getDateFormat, getEnumValues, getMaximumLength, getRowCount, insertRowAt, isReadOnly, moveRow, removeAllRows, removeRowAt, setDataAt, sort`

Field Detail

### indexOfFirstVisibleRow

    protected int indexOfFirstVisibleRow

Constructor Detail

### WMTableUIDataSource

    public WMTableUIDataSource()

Method Detail

### setColumnType

    public void setColumnType(int[] type)

### setLinkValueIndex

    public void setLinkValueIndex(int index)

### setLinkValueIndex

    public void setLinkValueIndex(int pid,
                                  int index)

### setLinkValueName

    public void setLinkValueName(int pid,
                                 java.lang.String pName)

### setLinkValue

    public void setLinkValue(int columnIndex,
                             java.lang.String linkValue)

### getColumnAlignment

    public int getColumnAlignment(int columnIndex)

  Description copied from interface: `TableUIDataSource`
  Method declaration
  Specified by:
    `getColumnAlignment` in interface `TableUIDataSource`
  Parameters:
    `columnIndex` -
  Returns:
    column alignment

### getColumnType

    public int getColumnType(int columnIndex)

  Specified by:
    `getColumnType` in interface `TwoDDataSource`

### getUrlAt

    public java.lang.String getUrlAt(int rowIndex,
                                     int columnIndex)

  Description copied from interface: `TableUIDataSource`
  Only called for TYPE_LINK columns.
  Specified by:
    `getUrlAt` in interface `TableUIDataSource`

### getImageAt

    public java.lang.String getImageAt(int rowIndex,
                                       int columnIndex)

  Method declaration
  Specified by:
    `getImageAt` in interface `TableUIDataSource`
  Parameters:
    `rowIndex` -
    `columnIndex` -
  Returns:
    image

### getImageWidthAt

    public java.lang.String getImageWidthAt(int rowIndex,
                                            int columnIndex)

  Method declaration
  Specified by:
    `getImageWidthAt` in interface `TableUIDataSource`
  Parameters:
    `rowIndex` -
    `columnIndex` -
  Returns:
    image width

### getImageHeightAt

    public java.lang.String getImageHeightAt(int rowIndex,
                                             int columnIndex)

  Method declaration
  Specified by:
    `getImageHeightAt` in interface `TableUIDataSource`
  Parameters:
    `rowIndex` -
    `columnIndex` -
  Returns:
    image height

### getFormValueName

    public java.lang.String getFormValueName(int columnIndex)

  Method declaration
  Specified by:
    `getFormValueName` in interface `TableUIDataSource`
  Parameters:
    `columnIndex` -
  Returns:
    form value name

### isColumnHidden

    public boolean isColumnHidden(int columnIndex)

  Method declaration
  Specified by:
    `isColumnHidden` in interface `TableUIDataSource`
  Parameters:
    `columnIndex` -
  Returns:
    true if the column is hidden

### getIndexOfFirstVisibleRow

    public int getIndexOfFirstVisibleRow()

  Method declaration
  Specified by:
    `getIndexOfFirstVisibleRow` in interface `TableUIDataSource`
  Returns:
    index of the first visible row

### setIndexOfFirstVisibleRow

    public void setIndexOfFirstVisibleRow(int index)

  Method declaration
  Specified by:
    `setIndexOfFirstVisibleRow` in interface `TableUIDataSource`
  Parameters:
    `index` -

### getItemCount

    public int getItemCount(int columnIndex)

  Method declaration
  Specified by:
    `getItemCount` in interface `TableUIDataSource`
  Parameters:
    `columnIndex` -
  Returns:
    item count

### getItemLayout

    public int getItemLayout(int columnIndex)

  Method declaration
  Specified by:
    `getItemLayout` in interface `TableUIDataSource`
  Parameters:
    `columnIndex` -
  Returns:
    item layout

### getItemSpacing

    public int getItemSpacing(int columnIndex)

  Method declaration
  Specified by:
    `getItemSpacing` in interface `TableUIDataSource`
  Parameters:
    `columnIndex` -
  Returns:
    item spacing

### getItemType

    public int getItemType(int columnIndex,
                           int itemIndex)

  Method declaration
  Specified by:
    `getItemType` in interface `TableUIDataSource`
  Parameters:
    `columnIndex` -
    `itemIndex` -
  Returns:
    item type

### getDataAt

    public java.lang.Object getDataAt(int rowIndex,
                                      int columnIndex,
                                      int itemIndex)

  Method declaration
  Specified by:
    `getDataAt` in interface `TableUIDataSource`
  Parameters:
    `rowIndex` -
    `columnIndex` -
    `itemIndex` -
  Returns:
    the data at the given position

### getImageAt

    public java.lang.String getImageAt(int rowIndex,
                                       int columnIndex,
                                       int itemIndex)

  Method declaration
  Specified by:
    `getImageAt` in interface `TableUIDataSource`
  Parameters:
    `rowIndex` -
    `columnIndex` -
    `itemIndex` -
  Returns:
    image

### getImageWidthAt

    public java.lang.String getImageWidthAt(int rowIndex,
                                            int columnIndex,
                                            int itemIndex)

  Method declaration
  Specified by:
    `getImageWidthAt` in interface `TableUIDataSource`
  Parameters:
    `rowIndex` -
    `columnIndex` -
    `itemIndex` -
  Returns:
    image width

### getImageHeightAt

    public java.lang.String getImageHeightAt(int rowIndex,
                                             int columnIndex,
                                             int itemIndex)

  Method declaration
  Specified by:
    `getImageHeightAt` in interface `TableUIDataSource`
  Parameters:
    `rowIndex` -
    `columnIndex` -
    `itemIndex` -
  Returns:
    image height

### getUrlAt

    public java.lang.String getUrlAt(int rowIndex,
                                     int columnIndex,
                                     int itemIndex)

  Method declaration
  Specified by:
    `getUrlAt` in interface `TableUIDataSource`
  Parameters:
    `rowIndex` -
    `columnIndex` -
    `itemIndex` -
  Returns:
    url

### setDataIndex

    public void setDataIndex(int di)

### setColumnCount

    public void setColumnCount(int cc)

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TwoDDataSource`

### setColumnNames

    public void setColumnNames(java.lang.String[] cn)

### getColumnNames

    public java.lang.String[] getColumnNames()

  Specified by:
    `getColumnNames` in interface `TwoDDataSource`

### setColumnSortingStatus

    public void setColumnSortingStatus(int[] cs)

### getColumnSortingStatus

    public int getColumnSortingStatus(int columnIndex)

  Specified by:
    `getColumnSortingStatus` in interface `TwoDDataSource`

### setRowCount

    public void setRowCount(int rc)

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TwoDDataSource`

### getDataAt

    public java.lang.Object getDataAt(int rowIndex,
                                      int columnIndex)

  Specified by:
    `getDataAt` in interface `TwoDDataSource`

### setDataAt

    public void setDataAt(int rowIndex,
                          int columnIndex,
                          java.lang.Object obj)

  Specified by:
    `setDataAt` in interface `TwoDDataSource`

### setData

    public void setData(java.util.Vector obj)

### isReadOnly

    public boolean isReadOnly(int rowIndex,
                              int columnIndex)

  Specified by:
    `isReadOnly` in interface `TwoDDataSource`

### addRows

    public void addRows(int howMany)

  Description copied from interface: `TwoDDataSource`
  Adds new rows, with default cell values. Rows are added to the bottom of the list. Use setDataAt() to set cell values for the new rows.
  Specified by:
    `addRows` in interface `TwoDDataSource`

### insertRowAt

    public void insertRowAt(int index)

  Specified by:
    `insertRowAt` in interface `TwoDDataSource`

### removeRowAt

    public void removeRowAt(int index)

  Specified by:
    `removeRowAt` in interface `TwoDDataSource`

### removeAllRows

    public void removeAllRows()

  Specified by:
    `removeAllRows` in interface `TwoDDataSource`

### moveRow

    public void moveRow(int oldIndex,
                        int newIndex)

  Specified by:
    `moveRow` in interface `TwoDDataSource`

### sort

    public void sort(int columnIndex,
                     boolean ascending)

  Specified by:
    `sort` in interface `TwoDDataSource`

### getMaximumLength

    public int getMaximumLength(int columnIndex)

  Description copied from interface: `TwoDDataSource`
  Only called for TYPE_TEXT columns.
  Specified by:
    `getMaximumLength` in interface `TwoDDataSource`

### getDateFormat

    public java.text.DateFormat getDateFormat(int columnIndex)

  Description copied from interface: `TwoDDataSource`
  Only called for TYPE_DATE columns.
  Specified by:
    `getDateFormat` in interface `TwoDDataSource`

### getEnumValues

    public java.lang.String[] getEnumValues(int columnIndex)

  Description copied from interface: `TwoDDataSource`
  Only called for TYPE_ENUM columns.
  Specified by:
    `getEnumValues` in interface `TwoDDataSource`
  Returns:
    list of all possible values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.